DCMTK - Feature #808

Introduce a new method getNumberOfValues() or getValueCount() for the various VR classes
2017-12-13 17:36 - Jorg Riesmeier
Target version: 3.6.4

Module: dcmdata Compiler:

Operating System:

Description

Currently, there is no method that would always return the number of values stored in an instance of DcmElement (or derived
classes). The existing method getVM() returns the Value Multiplicity, which is always 1 for some VRs. Therefore, the number of
stored values has to be computed e.g. by "getLengthField() / sizeof(<type>)", which is sometime forgotten (see Bug #807).

Related issues:
Precedes DCMTK - Bug #807: Some methods expect getVM() to always return the n... Closed 2017-12-14

History

#1 - 2017-12-13 17:36 - JO6rg Riesmeier

- Precedes Bug #807: Some methods expect getVM() to always return the number of stored values (which is not correct) added

#2 - 2018-02-27 18:18 - J6rg Riesmeier
- Assignee set to Jérg Riesmeier

- Target version set to 3.6.4

#3 - 2018-03-12 15:17 - J6rg Riesmeier
- Status changed from New to Closed

- % Done changed from 0 to 100

Closed by commit b4caias.
